library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned.all;

entity PRS is port(
    RES  : in    std_logic;  -- system reset, low active
    CLK  : in    std_logic;  -- 24MHz for 4Mbps
    SCKX : inout std_logic_vector(2 downto 0));
end PRS;

architecture RTL of PRS is begin
process (CLK,RES) begin
    if (RES = '0') then
            SCKX <= "000";
    elsif (CLK'event and CLK = '1') then
        if (SCKX >= "110") then
            SCKX <= "001";
        else
            SCKX <= SCKX + '1';
        end if;
    end if;
end process;
end RTL;
